Bug 851239 - Globally uncaught exception on clicking the link Bundles->Repositories->JBoss Patches
Globally uncaught exception on clicking the link Bundles->Repositories->JBoss...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On: 848801
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 10:43 EDT by Jirka Kremser
Modified: 2013-09-01 06:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 848801
Environment:
Last Closed: 2013-09-01 06:06:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jirka Kremser 2012-08-23 10:43:16 EDT
+++ This bug was initially created as a clone of Bug #848801 +++

Description of problem:

Clicking on the link Bundles->Repositories->JBoss Patches displays a globally uncaught exception in UI and message center.

Please find attached the details of error in message center and the screenshot.

There are no errors in server or agent log.

Version-Release number of selected component (if applicable):

Build: Version: 3.1.1.ER2
Build Number: f546515:4eb3f2c
Database: PostgreSQL 8.3.8
Browser: Firefox 10.0.2
Java Version: jre1.7.0_05

How reproducible:

Always

Steps to Reproduce:

1. Login to imanage UI.
2. Navigate to Bundles menu.
3. In the left pane, expand the 'Repositories' section.
4. Click on the link JBoss Patches.
  
Actual results:

UI displays globally uncaught exception.

Expected results:

No error should be displayed

Additional info:

Also reproduced on jdk1.6.0_18.

--- Additional comment from skondkar@redhat.com on 2012-08-16 08:43:49 EDT ---

Created attachment 604924 [details]
Screenshot

--- Additional comment from skondkar@redhat.com on 2012-08-16 08:44:27 EDT ---

Created attachment 604925 [details]
Error_details

--- Additional comment from mazz@redhat.com on 2012-08-16 12:57:11 EDT ---

i see this too. Probably this is the repository that is created by the JBoss CSP server plugin.

FYI: This isn't a 3.1.1. blocker. No one needs to use or even look at that repository tree to get things done (AFAIK). I think it was put in there because at one point there was some idea to use it to navigate and populate the repository from there. Nothing like that was ever done.

--- Additional comment from ccrouch@redhat.com on 2012-08-16 16:03:07 EDT ---

Assigning to Lukas
Where did this repo come from? Was this also in jon300, jon310, I don't recall it being there?

--- Additional comment from lkrejci@redhat.com on 2012-08-17 15:06:59 EDT ---

This is present in both jon300 and jon310 out of the box.

--- Additional comment from lkrejci@redhat.com on 2012-08-17 15:08:05 EDT ---

As Mazz said, this is a repo automatically created by the CSP content source to pull the patches to.
Comment 1 Jirka Kremser 2012-08-23 10:59:08 EDT
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=97867e2

master
time:    Thu Aug 23 16:55:00 2012 +0200
commit:  97867e2b4b241fa5ea33d0f439b1026914def5be
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 851239 - Globally uncaught exception on clicking the link Bundles->Repositories->JBoss Patches] Defensive programming - check for null/empty list -> exception is not thrown
Comment 2 Heiko W. Rupp 2013-09-01 06:06:35 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.